require "sketchup.rb"
require "extensions.rb"

$uStrings = LanguageHandler.new("cd_standard_m")
cd_standard_m_Extension = SketchupExtension.new $uStrings.GetString("cd_standard_m"), "cd_standard_m.rb"
cd_standard_m_Extension.description=$uStrings.GetString("Standard Toolbar")
cd_standard_m_Extension.name= "cd_standard_m"

Sketchup.register_extension cd_standard_m_Extension, true


def exec_on_autoload
  puts("cd_standard_m loaded.")
end




if( not $cd_standard_m_menu_loaded )



##################################################################################################  
gp_cd_standard_m_tb = UI::Toolbar.new("SCF STANDARD")
##################################################################################################  


####################################################   MENUS    #######################################




##################################################################################################  
	
cmd = UI::Command.new("New File") { Sketchup.send_action 57600 }
cmd.small_icon = "CD_ICONS/STANDARD/fileNew_SM.png"
cmd.large_icon = "CD_ICONS/STANDARD/fileNew_LG.png"
cmd.tooltip = "New"
cmd.status_bar_text = "Create a new document"
cmd.menu_text = "New"
#gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Open File")  { Sketchup.send_action 57601 } 
cmd.small_icon = "CD_ICONS/STANDARD/fileOpen_SM.png"
cmd.large_icon = "CD_ICONS/STANDARD/fileOpen_LG.png"
cmd.tooltip = "Open"
cmd.status_bar_text = "Open an existing document"
cmd.menu_text = "Open..."
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Save File") { Sketchup.send_action 57603 } 
cmd.small_icon = "CD_ICONS/STANDARD/fileSave_SM.png"
cmd.large_icon = "CD_ICONS/STANDARD/fileSave_LG.png"
cmd.tooltip = "Save"
cmd.status_bar_text = "Save the active document"
cmd.menu_text = "Save"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Erase") { Sketchup.send_action 21021 }
cmd.large_icon = "CD_ICONS/STANDARD/editdelete_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/editdelete_sm.png"
cmd.tooltip = "Erase"
cmd.menu_text = "Erase"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  
# gp_cd_standard_m_tb.add_separator
##################################################################################################  

cmd = UI::Command.new("Import Picture") { Sketchup.send_action 21200 }
cmd.small_icon = "CD_ICONS/STANDARD/importpicture_16.png"
cmd.large_icon = "CD_ICONS/STANDARD/importpicture_24.png"
cmd.tooltip = "Import Picture"
cmd.status_bar_text = "Import Picture"
cmd.menu_text = "Import Picture"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Export Picture") { Sketchup.send_action 21237 }
cmd.small_icon = "CD_ICONS/STANDARD/exportpicture_16.png"
cmd.large_icon = "CD_ICONS/STANDARD/exportpicture_24.png"
cmd.tooltip = "Export Picture"
cmd.status_bar_text = "Export Picture"
cmd.menu_text = "Export Picture"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  
# gp_cd_standard_m_tb.add_separator
##################################################################################################  

cmd = UI::Command.new("Copy")  { Sketchup.send_action 57634 } 
cmd.small_icon = "CD_ICONS/STANDARD/editcopy_SM.png"
cmd.large_icon = "CD_ICONS/STANDARD/editcopy_LG.png"
cmd.tooltip = "Copy"
cmd.status_bar_text = "Copy"
cmd.menu_text = "Copy"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Paste In Place")  { Sketchup.send_action 21939 } 
cmd.small_icon = "CD_ICONS/STANDARD/pasteinplace_SM.png"
cmd.large_icon = "CD_ICONS/STANDARD/pasteinplace_LG.png"
cmd.tooltip = "Paste In Place"
cmd.status_bar_text = "Paste in Place"
cmd.menu_text = "Paste In Place"
gp_cd_standard_m_tb.add_item(cmd)



##################################################################################################  
# gp_cd_standard_m_tb.add_separator
##################################################################################################  

cmd = UI::Command.new("Undo") { Sketchup.send_action 57643 }
cmd.small_icon = "CD_ICONS/STANDARD/editundo_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/editundo_lg.png"
cmd.tooltip = "Undo"
cmd.status_bar_text = "Undo"
cmd.menu_text = "Undo"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Redo") { Sketchup.send_action 57644 }
cmd.small_icon = "CD_ICONS/STANDARD/editredo_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/editredo_lg.png"
cmd.tooltip = "Redo"
cmd.status_bar_text = "Redo"
cmd.menu_text = "Redo"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  
# gp_cd_standard_m_tb.add_separator
##################################################################################################  

cmd = UI::Command.new("Add Page") { Sketchup.send_action "pageAdd:" }
cmd.small_icon = "CD_ICONS/STANDARD/pageadd_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/pageadd_lg.png"
cmd.tooltip = "Add Page"
cmd.status_bar_text = "Add Page"
cmd.menu_text = "Add Page"
gp_cd_standard_m_tb.add_item(cmd)
   
##################################################################################################  

cmd = UI::Command.new("Delete Page") { Sketchup.send_action "pageDelete:" }
cmd.small_icon = "CD_ICONS/STANDARD/pagedelete_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/pagedelete_lg.png"
cmd.tooltip = "Delete Page"
cmd.status_bar_text = "Delete Page"
cmd.menu_text = "Delete Page"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  
 gp_cd_standard_m_tb.add_separator
##################################################################################################  

cmd = UI::Command.new("Iso View") { Icon_Observer.go( 10507 ) }
cmd.small_icon = "CD_ICONS/STANDARD/viewIso_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/viewIso_lg.png"
cmd.tooltip = "Iso View"
cmd.status_bar_text = "Iso View"
cmd.menu_text = "Iso View"
#gp_cd_standard_m_tb.add_item(cmd)
cmd.set_validation_proc { Icon_Observer.obs 10507 }

##################################################################################################  
# Supports Organizer.rb
=begin rdoc
= Extended Standard Views
Copyright 2009, Chris Fullmer
All Rights Reserved

== Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

== License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

== Information
Author:: Chris Fullmer
Organization:: www.ChrisFullmer.com and distributed on www.sketchucation.com
Name:: Extended Standard Views
Version:: v1.0
SU Version:: Developed on SU 7, should be compatible with 6 and 5 at least.
Date:: May 18, 2009
Description:: This script creates new standard views that support user defined axes.  If you have change the axis of the model, these views will align to the current model axis, unlike th SU standard views which always go to the world axis.
Usage:: Located in Plugins>Chris Fullmer Tools>Extended Standard Views.  Or the toolbar that looks like regular Views, but the icons are blue.
History::
1.0:: 2009-05-18
   * First release
1.1:: 2009-05-18
   * Fixed bug that crashed SketchUp when the plugin was used inside a group or component edit.  oops!
   * Fixed bug that made the icons not work when the script was being used in conjunction with organizer.
=end

module Clf_standard_views

def Clf_standard_views.main flag
	model = Sketchup.active_model
	ents = model.active_entities

	pt1 = 0,0,0
	pt2 = 100,0,0
	pt3 = 100,0,100
	pt4 = 0,0,100
	pt5 = 0,100,0
	
	group = ents.add_group( )
	gents = group.entities
	face = gents.add_face( pt1, pt2, pt3, pt4 )
	gents.add_cpoint pt5
	group2 = ents.add_group( group )
	group_delete = group2.entities[0]
	gents = group2.entities
	
	bb = group2.bounds
	bbp0 = bb.corner 0
	bbp1 = bb.corner 1
	bbp2 = bb.corner 2
	bbp3 = bb.corner 3
	bbp4 = bb.corner 4
	bbp5 = bb.corner 5
	bbp6 = bb.corner 6
	bbp7 = bb.corner 7
	
	cp0 = gents.add_cpoint bbp0
	cp1 = gents.add_cpoint bbp1
	cp2 = gents.add_cpoint bbp2
	cp3 = gents.add_cpoint bbp3
	cp4 = gents.add_cpoint bbp4
	cp5 = gents.add_cpoint bbp5
	cp6 = gents.add_cpoint bbp6
	cp7 = gents.add_cpoint bbp7
	to_delete = [cp0, cp1, cp2, cp3, cp4, cp5, cp6, cp7]
	gents.erase_entities group_delete
	cpoints = group2.explode
	
	case flag
	when 0 #Iso
		p1 = Geom::Point3d.linear_combination 0.5, cp0.position.clone, 0.5, cp4.position.clone
		p2 = cp3.position.clone
		p3 = cp4.position.clone
	when 1 #Top
		p1 = cp4.position.clone
		p2 = cp0.position.clone
		p3 = cp2.position.clone
	when 2 #Front
		p1 = cp0.position.clone
		p2 = cp2.position.clone
		p3 = cp4.position.clone
	when 3 #Right
		p1 = cp1.position.clone
		p2 = cp0.position.clone
		p3 = cp5.position.clone
	when 4 #Back
		p1 = cp2.position.clone
		p2 = cp0.position.clone
		p3 = cp6.position.clone
	when 5 #Left
		p1 = cp0.position.clone
		p2 = cp1.position.clone
		p3 = cp4.position.clone
	when 6 #Bottom
		p1 = cp0.position.clone
		p2 = cp4.position.clone
		p3 = cp2.position.clone
	end
	
	ents.erase_entities to_delete
	
	# Get the current camera and its current perspective status.
	view = Sketchup.active_model.active_view
	current_camera = view.camera
	current_perspective = current_camera.perspective?
	# Set up the new camera matching the previous camera perspective
	new_camera = Sketchup::Camera.new
	new_camera.perspective = current_perspective
	# Set the camera position (eye), target, and the "up" vector for the camera.
	eye = p1
	target = p2
	up =  p1.vector_to p3
	# Create the new camera with the desired parameters and zoom extents when finished.
	new_camera = new_camera.set eye, target, up
	view.camera = new_camera
	view.zoom_extents
end
end
		cmd2 = UI::Command.new("Top") { Clf_standard_views.main 1 }
		cmd3 = UI::Command.new("Front") { Clf_standard_views.main 2 }
		cmd4 = UI::Command.new("Right") { Clf_standard_views.main 3 }
		cmd5 = UI::Command.new("Back") { Clf_standard_views.main 4 }
		cmd6 = UI::Command.new("Left") { Clf_standard_views.main 5 }
	
		cmd2.small_icon = "CD_ICONS/STANDARD/clf_top_small.png"
		cmd2.large_icon = "CD_ICONS/STANDARD/clf_top.png"
		cmd3.small_icon = "CD_ICONS/STANDARD/clf_front_small.png"
		cmd3.large_icon = "CD_ICONS/STANDARD/clf_front.png"
		cmd4.small_icon = "CD_ICONS/STANDARD/clf_right_small.png"
		cmd4.large_icon = "CD_ICONS/STANDARD/clf_right.png"
		cmd5.small_icon = "CD_ICONS/STANDARD/clf_back_small.png"
		cmd5.large_icon = "CD_ICONS/STANDARD/clf_back.png"
		cmd6.small_icon = "CD_ICONS/STANDARD/clf_left_small.png"
		cmd6.large_icon = "CD_ICONS/STANDARD/clf_left.png"

	
		cmd2.tooltip = "Top View"
		cmd3.tooltip = "Front View"
		cmd4.tooltip = "Right View"
		cmd5.tooltip = "Back View"
		cmd6.tooltip = "Left View"
		
gp_cd_standard_m_tb.add_item(cmd2)
gp_cd_standard_m_tb.add_item(cmd3)
gp_cd_standard_m_tb.add_item(cmd4)
gp_cd_standard_m_tb.add_item(cmd5)
gp_cd_standard_m_tb.add_item(cmd6)


=begin
cmd = UI::Command.new("Top") { Sketchup.send_action 10501 }
cmd.small_icon = "CD_ICONS/STANDARD/viewTop_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/viewTop_lg.png"
cmd.tooltip = "Top View"
cmd.status_bar_text = "Top View"
cmd.menu_text = "Top"
gp_cd_standard_m_tb.add_item(cmd)


##################################################################################################  

cmd = UI::Command.new("Front") { Sketchup.send_action 10502 }
cmd.large_icon = "CD_ICONS/STANDARD/viewFront_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/viewFront_sm.png"
cmd.tooltip = "Front View"
cmd.status_bar_text = "Front View"
cmd.menu_text = "Front"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Right") { Sketchup.send_action 10503 }
cmd.small_icon = "CD_ICONS/STANDARD/viewRight_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/viewRight_lg.png"
cmd.tooltip = "Right View"
cmd.status_bar_text = "Right View"
cmd.menu_text = "Right"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Back") { Sketchup.send_action 10505 }
cmd.small_icon = "CD_ICONS/STANDARD/viewBack_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/viewback_lg.png"
cmd.tooltip = "Back View"
cmd.status_bar_text = "Back View"
cmd.menu_text = "Back"
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Left") { Sketchup.send_action 10504 }
cmd.small_icon = "CD_ICONS/STANDARD/viewLeft_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/viewLeft_lg.png"
cmd.tooltip = "Left View"
cmd.status_bar_text = "Left View"
cmd.menu_text = "Left"
gp_cd_standard_m_tb.add_item(cmd)
=end



##################################################################################################  
gp_cd_standard_m_tb.add_separator
##################################################################################################  

cmd = UI::Command.new("Xray") {
  Sketchup.active_model.rendering_options["ModelTransparency"] = ! Sketchup.active_model.rendering_options["ModelTransparency"]
} #("XRay") { Sketchup.send_action 10596 }
cmd.small_icon = "CD_ICONS/STANDARD/toggleXray_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/toggleXray_lg.png"
cmd.tooltip = "Xray"
cmd.status_bar_text = "Xray"
cmd.menu_text = "Xray"
def xrayvp
if Sketchup.active_model.rendering_options["ModelTransparency"] == true
return MF_CHECKED
else
return MF_UNCHECKED
end
end  
cmd.set_validation_proc { xrayvp }
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("WireFrame") {
  Sketchup.active_model.rendering_options["RenderMode"] = 0
}  #("WireFrame") { Sketchup.send_action 10597 }
cmd.small_icon = "CD_ICONS/STANDARD/renderwireframe_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/renderwireframe_lg.png"
cmd.tooltip = "Wireframe"
cmd.status_bar_text = "Wireframe"
cmd.menu_text = "Wireframe"
def wireframevp
if Sketchup.active_model.rendering_options["RenderMode"] == 0
return MF_CHECKED
else
return MF_UNCHECKED
end
end
cmd.set_validation_proc { wireframevp }  
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("HiddenLine") {
  Sketchup.active_model.rendering_options["RenderMode"] = 1
} #("HiddenLine") { Sketchup.send_action 10598 }
cmd.small_icon = "CD_ICONS/STANDARD/renderhiddenline_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/renderhiddenline_lg.png"
cmd.tooltip = "Hidden Line"
cmd.status_bar_text = "Hidden Line"
cmd.menu_text = "Hidden Line"
def hiddenlinevp
if Sketchup.active_model.rendering_options["RenderMode"] == 1
return MF_CHECKED
else
return MF_UNCHECKED
end
end
cmd.set_validation_proc { hiddenlinevp }
gp_cd_standard_m_tb.add_item(cmd)


##################################################################################################  

cmd = UI::Command.new("Shaded") {
  Sketchup.active_model.rendering_options["RenderMode"] = 2
  Sketchup.active_model.rendering_options["Texture"] = false
} #("Shaded") { Sketchup.send_action 10599 }
cmd.small_icon = "CD_ICONS/STANDARD/rendershaded_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/rendershaded_lg.png"
cmd.tooltip = "Shaded"
cmd.status_bar_text = "Shaded"
cmd.menu_text = "Shaded"
def shaded_vp
if Sketchup.active_model.rendering_options["RenderMode"] == 2 and Sketchup.active_model.rendering_options["Texture"] == false
return MF_CHECKED
else
return MF_UNCHECKED
end
end
cmd.set_validation_proc { shaded_vp }
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Textured") {
  Sketchup.active_model.rendering_options["RenderMode"] = 2
  Sketchup.active_model.rendering_options["Texture"] = true
} #("Textured") { Sketchup.send_action 10600 }
cmd.small_icon = "CD_ICONS/STANDARD/rendertextured_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/rendertextured_lg.png"
cmd.tooltip = "Textured"
cmd.status_bar_text = "Textured"
cmd.menu_text = "Textured"
def textured_vp
if Sketchup.active_model.rendering_options["RenderMode"] == 2 and Sketchup.active_model.rendering_options["Texture"] == true
return MF_CHECKED
else
return MF_UNCHECKED
end
end
cmd.set_validation_proc { textured_vp }
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Monochrome") { Sketchup.active_model.rendering_options["RenderMode"] = 5 } #("Monochrome") { Sketchup.send_action 10601 }
cmd.small_icon = "CD_ICONS/STANDARD/rendermonochrome_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/rendermonochrome_lg.png"
cmd.tooltip = "Monochrome"
cmd.status_bar_text = "Monochrome"
cmd.menu_text = "Monochrome"
def monochromevp
if Sketchup.active_model.rendering_options["RenderMode"] == 5
return MF_CHECKED
else
return MF_UNCHECKED
end
end
cmd.set_validation_proc { monochromevp }
gp_cd_standard_m_tb.add_item(cmd)


##################################################################################################  
  
cmd = UI::Command.new("Display Edges") {
if Sketchup.active_model.rendering_options["EdgeDisplayMode"] == 0
Sketchup.active_model.rendering_options["EdgeDisplayMode"] = 1
else
Sketchup.active_model.rendering_options["EdgeDisplayMode"] = 0
end
}
cmd.large_icon = "CD_ICONS/STANDARD/toggleedges_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/toggleedges_sm.png"
cmd.tooltip = "Display Edges"
cmd.status_bar_text = "Display Edges"
def edges_validation_proc
if Sketchup.active_model.rendering_options["EdgeDisplayMode"] == 0
return MF_CHECKED
else
return MF_UNCHECKED
end
end
gp_cd_standard_m_tb.add_item(cmd)
cmd.set_validation_proc { edges_validation_proc }

##################################################################################################  

cmd = UI::Command.new("Profiles") { Sketchup.send_action 10603 }
cmd.large_icon = "CD_ICONS/STANDARD/toggleprofiles_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/toggleprofiles_sm.png"
cmd.tooltip = "Display Profiles"
cmd.status_bar_text  = "Display Profiles"
def profiles_validation_proc
if Sketchup.active_model.rendering_options["DrawSilhouettes"] == true
return MF_CHECKED
else
return MF_UNCHECKED
end
end
cmd.set_validation_proc { profiles_validation_proc }
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

cmd = UI::Command.new("Edge Color: Axis")  do
ro = Sketchup.active_model.rendering_options
ecm = ro["EdgeColorMode"]
if ecm != 2
ecm = 2
Sketchup.set_status_text "Egde Color Mode: by Axis"
else
ecm = 1
Sketchup.set_status_text "Egde Color Mode: Default"
end
ro["EdgeColorMode"] = ecm
end
cmd.large_icon = "CD_ICONS/STANDARD/toggleAxisEdge_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/toggleAxisEdge_sm.png"
cmd.tooltip = "Edge Color by Axis"
def axisedge_validation_proc
if Sketchup.active_model.rendering_options["EdgeColorMode"] == 2
return MF_CHECKED
else
return MF_UNCHECKED
end
end
gp_cd_standard_m_tb.add_item(cmd)
cmd.set_validation_proc { axisedge_validation_proc }

##################################################################################################  
 gp_cd_standard_m_tb.add_separator
##################################################################################################  

cmd = UI::Command.new("Toggle Hidden") {
  Sketchup.send_action "viewShowHidden:"
}#("Toggle Hidden") { Sketchup.send_action 21154 }
cmd.large_icon = "CD_ICONS/STANDARD/togglehidden_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/togglehidden_sm.png"
cmd.tooltip = "Show Hidden Geometry"
cmd.status_bar_text = "Show Hidden Geometry"
def hidden_validation_proc
if Sketchup.active_model.rendering_options["DrawHidden"] == true
return MF_CHECKED
else
return MF_UNCHECKED
end
end
cmd.set_validation_proc { hidden_validation_proc }
gp_cd_standard_m_tb.add_item(cmd)


##################################################################################################  

cmd = UI::Command.new("Hide Guides") {
  Sketchup.active_model.rendering_options["HideConstructionGeometry"] = !Sketchup.active_model.rendering_options["HideConstructionGeometry"]
}#("Hide Guides") { Sketchup.send_action 21980 }
cmd.large_icon = "CD_ICONS/STANDARD/ToggleGuides_LG.png"
cmd.small_icon = "CD_ICONS/STANDARD/ToggleGuides_sm.png"
def guides_validation_proc
if Sketchup.active_model.rendering_options["HideConstructionGeometry"] == false 
return MF_CHECKED
else
return MF_UNCHECKED
end
end
cmd.tooltip = cmd.status_bar_text = "Display Construction Geometry"
cmd.set_validation_proc { guides_validation_proc }
gp_cd_standard_m_tb.add_item(cmd)

##################################################################################################  

#FIELDOFVIEW	
cmd = UI::Command.new("Field Of View") { Icon_Observer.go( 21494 ) }
cmd.small_icon = "CD_ICONS/STANDARD/Fov_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/Fov_lg.png"
cmd.tooltip = cmd.status_bar_text = "Field Of View"
gp_cd_standard_m_tb.add_item(cmd)
cmd.set_validation_proc { Icon_Observer.obs 21494 }

##################################################################################################  
# gp_cd_standard_m_tb.add_separator
##################################################################################################  

cmd = UI::Command.new("Shadows") { Sketchup.send_action 10602 }
cmd.small_icon = "CD_ICONS/STANDARD/toggleshadows_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/toggleshadows_lg.png"
cmd.tooltip = cmd.status_bar_text = "Display Shadows"
def shadow_validation_proc
if Sketchup.active_model.shadow_info["DisplayShadows"] == true
return MF_CHECKED
else
return MF_UNCHECKED
end
end  
gp_cd_standard_m_tb.add_item(cmd)
cmd.set_validation_proc { shadow_validation_proc }

##################################################################################################  

cmd = UI::Command.new("Display Shadow Settings") { Sketchup.send_action 10533 }
cmd.large_icon = "CD_ICONS/STANDARD/shadowsettings_LG.png"
cmd.small_icon = "CD_ICONS/STANDARD/shadowsettings_SM.png"
cmd.tooltip = cmd.status_bar_text = "Display Shadow Settings Dialog Box"
gp_cd_standard_m_tb.add_item(cmd)


##################################################################################################  	
#gp_cd_standard_m_tb.add_separator
##################################################################################################  	

cmd = UI::Command.new("Layers") { Sketchup.send_action 21354 }
cmd.large_icon = "CD_ICONS/STANDARD/layers_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/layers_sm.png"
cmd.tooltip = cmd.status_bar_text = "Show Layers Palette"
gp_cd_standard_m_tb.add_item(cmd)


##################################################################################################
gp_cd_standard_m_tb.add_separator
##################################################################################################  

cmd = UI::Command.new("Shortcuts") { UI.show_preferences "Accelerator" }
cmd.large_icon = "CD_ICONS/STANDARD/PrefsShortcuts_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/PrefsShortcuts_sm.png"
cmd.tooltip = cmd.status_bar_text = "Shortcuts Preferences"
gp_cd_standard_m_tb.add_item(cmd)






$cd_standard_m_menu_loaded = true
end
file_loaded("cd_standard_m.rb")